<p-panel>
    <p-header>{{'mpmApp.vehicleSalesOrder.detailVSO'|translate}}</p-header>
    <div class="ui-g">
        <div class="ui-g-12  ">
            <div class="ui-g-4">
                {{'mpmApp.vehicleSalesOrder.noVSO'|translate}}
            </div>
            <div class="ui-g-8">
                <div
                    *ngIf="vehicleSalesOrder.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                </div>
                <ng-template #templateOrderNumber>
                    <input pInputText type="text" style="width: 100%" [(ngModel)]="vehicleSalesOrder.orderNumber"
                        [disabled]="true" />
                </ng-template>
                <ng-template #templateRequirementNumber>
                    <input pInputText type="text" style="width: 100%"
                        [(ngModel)]="vehicleSalesOrder.salesUnitRequirement.requirementNumber" [disabled]="true" />
                </ng-template>
                <!-- <input pInputText type="text" 
                    style="width: 100%"                 
                    [(ngModel)]="vehicleSalesOrder.salesUnitRequirement.requirementNumber"
                    [disabled]="true"
                /> -->

            </div>
        </div>

        <div class="ui-g-12  ">
            <div class="ui-g-4">
                {{'mpmApp.vehicleSalesOrder.tglVso'|translate}}
            </div>
            <div class="ui-g-8">
                {{vehicleSalesOrder.dateOrder | date:'dd-MMM-yyyy'}}
            </div>
        </div>

    </div>

    <hr>
    {{'mpmApp.vehicleSalesOrder.statusApprovalVSO'|translate}}
    <div>
        <table align="center" style="width: 80%; text-align: center" border="1">
            <tbody>
                <tr>
                    <td style="width: 40%">{{'mpmApp.vehicleSalesOrder.admSales'|translate}}</td>
                    <td style="width: 60%">{{vehicleSalesOrder.adminSalesVeriDate | date :'dd-MMM-yyyy'}}</td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.afc'|translate}}</td>
                    <td>{{vehicleSalesOrder.afcVeriDate | date :'dd-MMM-yyyy'}}</td>
                </tr>
                <tr>
                    <td>{{'mpmApp.vehicleSalesOrder.kacab'|translate}}</td>
                    <td>{{vehicleSalesOrder.dateOrderStatusApprove | date :'dd-MMM-yyyy'}}</td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="ui-g" *ngIf="isGanti == false">
        <div class="ui-g-12  ">
            <div class="ui-g-4">
                <button pButton type="button" (click)="cancelVso()" label="Cancel VSO"
                    class="ui-button-danger flat-label-button btn-block"
                    [disabled]="vehicleSalesOrder.dateOrderStatusApprove != null">
                </button>
            </div>
            <!-- <div class="ui-g-1"> -->

            <!-- </div> -->
            <div class="ui-g-4">
                <button pButton type="button"
                    (click)="gantiVso(vehicleSalesOrder.salesUnitRequirement, vehicleSalesOrder)" label="Ganti No VSO"
                    class="ui-button-danger flat-label-button btn-block"
                    [disabled]="vehicleSalesOrder.dateOrderStatusApprove != null">
                </button>
            </div>
            <!-- <div class="ui-g-1"> -->

            <!-- </div> -->
            <div class="ui-g-4">
                <button pButton type="button" (click)="editVso()" label="Edit VSO"
                    class="ui-button-danger flat-label-button btn-block"
                    [disabled]="vehicleSalesOrder.currentStatus === 61 || vehicleSalesOrder.currentStatus === 74">
                </button>
            </div>
        </div>
    </div>

    <p-accordion (onClose)="onTabClose($event)" (onOpen)="onTabOpen($event)">
        <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.dataCustomer'|translate}}" *ngIf="isGanti == false">
            <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                <jhi-vso-customer-view [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement">
                </jhi-vso-customer-view>
            </div>
        </p-accordionTab>
        <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.paymentDetail' | translate}}">
            <!-- <jhi-vso-sales-payment-view
        [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
        [isLoadPage]="isLoad">
        </jhi-vso-sales-payment-view> -->
        <div *ngIf="sur.idRequirement && partyId">
            <div class="ui-g">
                <div class="ui-g-4">{{'mpmApp.salesUnitRequirement.saleType' | translate}}</div>
                <div class="ui-g-8">: {{salesUnitRequirement.saleTypeDescription}}</div>
            </div>
            <div class="ui-g" *ngIf="isCredit">
                <div class="ui-g-4">Leasing</div>
                <div class="ui-g-8">: {{salesUnitRequirement.leasingName}}</div>
            </div>
            <div class="ui-g" *ngIf="isCredit">
                <div class="ui-g-4">Tenor</div>
                <div class="ui-g-8">: {{salesUnitRequirement.creditTenor}}</div>
            </div>
            <div class="ui-g" *ngIf="isCredit">
                <div class="ui-g-4">Down Payment</div>
                <div class="ui-g-8">: {{salesUnitRequirement.creditDownPayment | currency : 'IDR' : true}}</div>
            </div>
            <div class="ui-g" *ngIf="isCredit">
                <div class="ui-g-4">Cicilan</div>
                <div class="ui-g-8">: {{salesUnitRequirement.creditInstallment | currency : 'IDR' : true}}</div>
            </div>
            <div class="ui-g">
                <div class="ui-g-12">
                    <jhi-sur-receipt-as-list
                        [idParty]="partyId"
                        [isCountReceipt]="isCountReceipt"
                        (fnCallback)="countReceipt($event)"
                        [idRequirement]="sur.idRequirement"
                        [idPaymentType]="50"
                        [isLoadPage]="isLoadPage">
                    </jhi-sur-receipt-as-list>
                </div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3 ui-sm-12">Total Uang Titipan</div>
                <div class="ui-g-9 ui-sm-12" align="right">Rp {{totalReceipt | number}}</div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3 ui-sm-12">Broker Fee</div>
                <div class="ui-g-9 ui-sm-12" align="right">Rp {{salesUnitRequirement.brokerFee | number}}</div>
            </div>
            <hr class="separate">
            <div class="ui-g">
                <div class="ui-g-3 ui-sm-12">Total Pembayaran</div>
                <div class="ui-g-9 ui-sm-12" align="right" style="font-weight: bold">Rp
                    {{totalReceipt - salesUnitRequirement.brokerFee | number }}</div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3 ui-sm-12">Subsidi AHM</div>
                <div class="ui-g-9 ui-sm-12" align="right">Rp {{salesUnitRequirement.subsahm | number}}</div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3 ui-sm-12">Subsidi MD</div>
                <div class="ui-g-9 ui-sm-12" align="right">Rp {{salesUnitRequirement.subsmd  | number}}</div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3 ui-sm-12">Diskon Dealer</div>
                <div class="ui-g-9 ui-sm-12" align="right">Rp {{salesUnitRequirement.subsown  | number}}</div>
            </div>
            <div class="ui-g" *ngIf="isCredit">
                <div class="ui-g-3 ui-sm-12">Subsidi FIN COMP</div>
                <div class="ui-g-9 ui-sm-12" align="right">Rp {{salesUnitRequirement.subsfincomp | number}}</div>
            </div>
            <hr class="separate">
            <div class="ui-g">
                <div class="ui-g-3 ui-sm-12">Total Diskon</div>
                <div class="ui-g-9 ui-sm-12" align="right" style="font-weight:bold;">Rp {{totalSubsidi | number}}</div>
            </div>
            <hr class="separate">
            <div class="ui-g" *ngIf="!isCredit">
                <div class="ui-g-3 ui-sm-12">Sisa yang harus dibayarkan</div>
                <div class="ui-g-9 ui-sm-12" align="right" style="font-weight:bold;">{{remainingPayment}}</div>
            </div>
            <div class="ui-g" *ngIf="isCredit">
                <div class="ui-g-3 ui-sm-12">Sisa Down Payment yang harus dibayarkan</div>
                <div class="ui-g-9 ui-sm-12" align="right" style="font-weight:bold;">{{remainingDownPayment}}</div>
            </div>
        </div>
        </p-accordionTab>
        <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.dataSTNK'|translate}}" *ngIf="isGanti == false">
            <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                <jhi-vso-stnk-view [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement">
                </jhi-vso-stnk-view>
            </div>

        </p-accordionTab>

        <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.dataVehicle'|translate}}" *ngIf="isGanti == false">
            <div class="ui-g">
                <div class="ui-g-3">{{'mpmApp.vehicleSalesOrder.marketName'|translate}}</div>
                <div class="ui-g-9">:</div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3">{{'mpmApp.vehicleSalesOrder.color'|translate}}</div>
                <div class="ui-g-9">:{{vehicleSalesOrder.salesUnitRequirement.colorDescription}}</div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3">{{'mpmApp.vehicleSalesOrder.codeType'|translate}}</div>
                <div class="ui-g-9">:{{vehicleSalesOrder.salesUnitRequirement.productName}} </div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3">{{'mpmApp.vehicleSalesOrder.productionYear'|translate}}</div>
                <div class="ui-g-9">:</div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3">{{'mpmApp.vehicleSalesOrder.noKa'|translate}}</div>
                <div class="ui-g-9">:{{vehicleSalesOrder.salesUnitRequirement.idframe}} </div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3">{{'mpmApp.vehicleSalesOrder.noMachine'|translate}}</div>
                <div class="ui-g-9">:{{vehicleSalesOrder.salesUnitRequirement.idmachine}} </div>
            </div>
            <div class="ui-g">
                <div class="ui-g-3">{{'mpmApp.vehicleSalesOrder.catatan'|translate}}</div>
                <div class="ui-g-9">:{{vehicleSalesOrder.salesUnitRequirement.note}}</div>
            </div>
        </p-accordionTab>
        <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.fileDocument'|translate}}" *ngIf="isGanti == false">
            <div *ngIf="vehicleSalesOrder.customer">
                <jhi-party-document-as-list [idparty]="vehicleSalesOrder.customer.partyId" [readonly]="true">
                </jhi-party-document-as-list>
            </div>
        </p-accordionTab>
        <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.note'|translate}}" *ngIf="isGanti == false">
            <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                <jhi-vso-edit-data-note [data]="vehicleSalesOrder.salesUnitRequirement"></jhi-vso-edit-data-note>
            </div>
        </p-accordionTab>

        <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.detailCDB'|translate}}" *ngIf="isGanti == false">
            <jhi-vso-edit-data-cdb [idCustomer]="vehicleSalesOrder.customerId"></jhi-vso-edit-data-cdb>
        </p-accordionTab>

        <p-accordionTab header="{{'mpmApp.vehicleSalesOrder.historyLeasing'|translate}}" *ngIf="isGanti == false">

        </p-accordionTab>

        <p-accordion header="Ganti VSO" *ngIf="isGanti == true">
            <jhi-sur-vso-sales-edit [idReq]="requirementId">
            </jhi-sur-vso-sales-edit>
        </p-accordion>
    </p-accordion>
    <p-footer>
        <button pButton type="button" (click)="previousState()" label="{{'entity.action.back' | translate}}"
            class="ui-button-danger flat-label-button">
        </button>
    </p-footer>
</p-panel>
<p-confirmDialog></p-confirmDialog>